> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve a draft message



## OpenAPI

````yaml post /admin/message/draft/{email_id}/approve
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/message/draft/{email_id}/approve:
    post:
      tags:
        - Email manager
      summary: Approve a draft message
      operationId: 7e48fa90bfdabb2566f387707f03eddf
      parameters:
        - name: email_id
          in: path
          description: The id of the email
          required: true
          schema:
            type: integer
      requestBody:
        description: Data needed to send the draft message
        required: true
        content:
          application/json:
            schema:
              properties:
                entity_id:
                  description: The id of the entity
                  type: integer
                donor_id:
                  description: The id of the donor
                  type: integer
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Confirmation message
                    type: string
                type: object
        '400':
          description: Bad request
        '404':
          description: Not found

````